import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface Apigatewayv2VpcLinkConfig extends TerraformMetaArguments {
    readonly name: string;
    readonly securityGroupIds: string[];
    readonly subnetIds: string[];
    readonly tags?: {
        [key: string]: string;
    };
}
export declare class Apigatewayv2VpcLink extends TerraformResource {
    constructor(scope: Construct, id: string, config: Apigatewayv2VpcLinkConfig);
    get arn(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _name;
    get name(): string;
    set name(value: string);
    private _securityGroupIds;
    get securityGroupIds(): string[];
    set securityGroupIds(value: string[]);
    private _subnetIds;
    get subnetIds(): string[];
    set subnetIds(value: string[]);
    private _tags?;
    get tags(): {
        [key: string]: string;
    } | undefined;
    set tags(value: {
        [key: string]: string;
    } | undefined);
    synthesizeAttributes(): {
        [name: string]: any;
    };
}
