import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface DataAwsAutoscalingGroupConfig extends TerraformMetaArguments {
    readonly name: string;
}
export declare class DataAwsAutoscalingGroup extends TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAwsAutoscalingGroupConfig);
    get arn(): string;
    get availabilityZones(): string[];
    get defaultCooldown(): number;
    get desiredCapacity(): number;
    get healthCheckGracePeriod(): number;
    get healthCheckType(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    get launchConfiguration(): string;
    get loadBalancers(): string[];
    get maxSize(): number;
    get minSize(): number;
    private _name;
    get name(): string;
    set name(value: string);
    get newInstancesProtectedFromScaleIn(): boolean;
    get placementGroup(): string;
    get serviceLinkedRoleArn(): string;
    get status(): string;
    get targetGroupArns(): string[];
    get terminationPolicies(): string[];
    get vpcZoneIdentifier(): string;
    synthesizeAttributes(): {
        [name: string]: any;
    };
}
