import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface DataAwsCustomerGatewayConfig extends TerraformMetaArguments {
    readonly tags?: {
        [key: string]: string;
    };
    /** filter block */
    readonly filter?: DataAwsCustomerGatewayFilter[];
}
export interface DataAwsCustomerGatewayFilter {
    readonly name: string;
    readonly values: string[];
}
export declare class DataAwsCustomerGateway extends TerraformDataSource {
    constructor(scope: Construct, id: string, config?: DataAwsCustomerGatewayConfig);
    get arn(): string;
    get bgpAsn(): number;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    get ipAddress(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    } | undefined;
    set tags(value: {
        [key: string]: string;
    } | undefined);
    get type(): string;
    private _filter?;
    get filter(): DataAwsCustomerGatewayFilter[] | undefined;
    set filter(value: DataAwsCustomerGatewayFilter[] | undefined);
    synthesizeAttributes(): {
        [name: string]: any;
    };
}
