import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface DataAwsEcsContainerDefinitionConfig extends TerraformMetaArguments {
    readonly containerName: string;
    readonly taskDefinition: string;
}
export declare class DataAwsEcsContainerDefinition extends TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAwsEcsContainerDefinitionConfig);
    private _containerName;
    get containerName(): string;
    set containerName(value: string);
    get cpu(): number;
    get disableNetworking(): boolean;
    dockerLabels(key: string): string;
    environment(key: string): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    get image(): string;
    get imageDigest(): string;
    get memory(): number;
    get memoryReservation(): number;
    private _taskDefinition;
    get taskDefinition(): string;
    set taskDefinition(value: string);
    synthesizeAttributes(): {
        [name: string]: any;
    };
}
