import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface DataAwsKmsCiphertextConfig extends TerraformMetaArguments {
    readonly context?: {
        [key: string]: string;
    };
    readonly keyId: string;
    readonly plaintext: string;
}
export declare class DataAwsKmsCiphertext extends TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAwsKmsCiphertextConfig);
    get ciphertextBlob(): string;
    private _context?;
    get context(): {
        [key: string]: string;
    } | undefined;
    set context(value: {
        [key: string]: string;
    } | undefined);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _keyId;
    get keyId(): string;
    set keyId(value: string);
    private _plaintext;
    get plaintext(): string;
    set plaintext(value: string);
    synthesizeAttributes(): {
        [name: string]: any;
    };
}
