import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface DataAwsKmsSecretConfig extends TerraformMetaArguments {
    /** secret block */
    readonly secret: DataAwsKmsSecretSecret[];
}
export interface DataAwsKmsSecretSecret {
    readonly context?: {
        [key: string]: string;
    };
    readonly grantTokens?: string[];
    readonly name: string;
    readonly payload: string;
}
export declare class DataAwsKmsSecret extends TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAwsKmsSecretConfig);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _secret;
    get secret(): DataAwsKmsSecretSecret[];
    set secret(value: DataAwsKmsSecretSecret[]);
    synthesizeAttributes(): {
        [name: string]: any;
    };
}
