import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface DataAwsPrefixListConfig extends TerraformMetaArguments {
    readonly name?: string;
    readonly prefixListId?: string;
    /** filter block */
    readonly filter?: DataAwsPrefixListFilter[];
}
export interface DataAwsPrefixListFilter {
    readonly name: string;
    readonly values: string[];
}
export declare class DataAwsPrefixList extends TerraformDataSource {
    constructor(scope: Construct, id: string, config?: DataAwsPrefixListConfig);
    get cidrBlocks(): string[];
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _name?;
    get name(): string | undefined;
    set name(value: string | undefined);
    private _prefixListId?;
    get prefixListId(): string | undefined;
    set prefixListId(value: string | undefined);
    private _filter?;
    get filter(): DataAwsPrefixListFilter[] | undefined;
    set filter(value: DataAwsPrefixListFilter[] | undefined);
    synthesizeAttributes(): {
        [name: string]: any;
    };
}
