import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface DataAwsS3BucketObjectsConfig extends TerraformMetaArguments {
    readonly bucket: string;
    readonly delimiter?: string;
    readonly encodingType?: string;
    readonly fetchOwner?: boolean;
    readonly maxKeys?: number;
    readonly prefix?: string;
    readonly startAfter?: string;
}
export declare class DataAwsS3BucketObjects extends TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAwsS3BucketObjectsConfig);
    private _bucket;
    get bucket(): string;
    set bucket(value: string);
    get commonPrefixes(): string[];
    private _delimiter?;
    get delimiter(): string | undefined;
    set delimiter(value: string | undefined);
    private _encodingType?;
    get encodingType(): string | undefined;
    set encodingType(value: string | undefined);
    private _fetchOwner?;
    get fetchOwner(): boolean | undefined;
    set fetchOwner(value: boolean | undefined);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    get keys(): string[];
    private _maxKeys?;
    get maxKeys(): number | undefined;
    set maxKeys(value: number | undefined);
    get owners(): string[];
    private _prefix?;
    get prefix(): string | undefined;
    set prefix(value: string | undefined);
    private _startAfter?;
    get startAfter(): string | undefined;
    set startAfter(value: string | undefined);
    synthesizeAttributes(): {
        [name: string]: any;
    };
}
