import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface DataAwsSsmDocumentConfig extends TerraformMetaArguments {
    readonly documentFormat?: string;
    readonly documentVersion?: string;
    readonly name: string;
}
export declare class DataAwsSsmDocument extends TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAwsSsmDocumentConfig);
    get arn(): string;
    get content(): string;
    private _documentFormat?;
    get documentFormat(): string | undefined;
    set documentFormat(value: string | undefined);
    get documentType(): string;
    private _documentVersion?;
    get documentVersion(): string | undefined;
    set documentVersion(value: string | undefined);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _name;
    get name(): string;
    set name(value: string);
    synthesizeAttributes(): {
        [name: string]: any;
    };
}
