import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface DefaultVpcDhcpOptionsConfig extends TerraformMetaArguments {
    readonly netbiosNameServers?: string[];
    readonly netbiosNodeType?: string;
    readonly tags?: {
        [key: string]: string;
    };
}
export declare class DefaultVpcDhcpOptions extends TerraformResource {
    constructor(scope: Construct, id: string, config?: DefaultVpcDhcpOptionsConfig);
    get arn(): string;
    get domainName(): string;
    get domainNameServers(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _netbiosNameServers?;
    get netbiosNameServers(): string[] | undefined;
    set netbiosNameServers(value: string[] | undefined);
    private _netbiosNodeType?;
    get netbiosNodeType(): string | undefined;
    set netbiosNodeType(value: string | undefined);
    get ntpServers(): string;
    get ownerId(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    } | undefined;
    set tags(value: {
        [key: string]: string;
    } | undefined);
    synthesizeAttributes(): {
        [name: string]: any;
    };
}
