import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface DxHostedPrivateVirtualInterfaceConfig extends TerraformMetaArguments {
    readonly addressFamily: string;
    readonly amazonAddress?: string;
    readonly bgpAsn: number;
    readonly bgpAuthKey?: string;
    readonly connectionId: string;
    readonly customerAddress?: string;
    readonly mtu?: number;
    readonly name: string;
    readonly ownerAccountId: string;
    readonly vlan: number;
    /** timeouts block */
    readonly timeouts?: DxHostedPrivateVirtualInterfaceTimeouts;
}
export interface DxHostedPrivateVirtualInterfaceTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly update?: string;
}
export declare class DxHostedPrivateVirtualInterface extends TerraformResource {
    constructor(scope: Construct, id: string, config: DxHostedPrivateVirtualInterfaceConfig);
    private _addressFamily;
    get addressFamily(): string;
    set addressFamily(value: string);
    private _amazonAddress?;
    get amazonAddress(): string | undefined;
    set amazonAddress(value: string | undefined);
    get amazonSideAsn(): string;
    get arn(): string;
    get awsDevice(): string;
    private _bgpAsn;
    get bgpAsn(): number;
    set bgpAsn(value: number);
    private _bgpAuthKey?;
    get bgpAuthKey(): string | undefined;
    set bgpAuthKey(value: string | undefined);
    private _connectionId;
    get connectionId(): string;
    set connectionId(value: string);
    private _customerAddress?;
    get customerAddress(): string | undefined;
    set customerAddress(value: string | undefined);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    get jumboFrameCapable(): boolean;
    private _mtu?;
    get mtu(): number | undefined;
    set mtu(value: number | undefined);
    private _name;
    get name(): string;
    set name(value: string);
    private _ownerAccountId;
    get ownerAccountId(): string;
    set ownerAccountId(value: string);
    private _vlan;
    get vlan(): number;
    set vlan(value: number);
    private _timeouts?;
    get timeouts(): DxHostedPrivateVirtualInterfaceTimeouts | undefined;
    set timeouts(value: DxHostedPrivateVirtualInterfaceTimeouts | undefined);
    synthesizeAttributes(): {
        [name: string]: any;
    };
}
