import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface DxPrivateVirtualInterfaceConfig extends TerraformMetaArguments {
    readonly addressFamily: string;
    readonly amazonAddress?: string;
    readonly bgpAsn: number;
    readonly bgpAuthKey?: string;
    readonly connectionId: string;
    readonly customerAddress?: string;
    readonly dxGatewayId?: string;
    readonly mtu?: number;
    readonly name: string;
    readonly tags?: {
        [key: string]: string;
    };
    readonly vlan: number;
    readonly vpnGatewayId?: string;
    /** timeouts block */
    readonly timeouts?: DxPrivateVirtualInterfaceTimeouts;
}
export interface DxPrivateVirtualInterfaceTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly update?: string;
}
export declare class DxPrivateVirtualInterface extends TerraformResource {
    constructor(scope: Construct, id: string, config: DxPrivateVirtualInterfaceConfig);
    private _addressFamily;
    get addressFamily(): string;
    set addressFamily(value: string);
    private _amazonAddress?;
    get amazonAddress(): string | undefined;
    set amazonAddress(value: string | undefined);
    get amazonSideAsn(): string;
    get arn(): string;
    get awsDevice(): string;
    private _bgpAsn;
    get bgpAsn(): number;
    set bgpAsn(value: number);
    private _bgpAuthKey?;
    get bgpAuthKey(): string | undefined;
    set bgpAuthKey(value: string | undefined);
    private _connectionId;
    get connectionId(): string;
    set connectionId(value: string);
    private _customerAddress?;
    get customerAddress(): string | undefined;
    set customerAddress(value: string | undefined);
    private _dxGatewayId?;
    get dxGatewayId(): string | undefined;
    set dxGatewayId(value: string | undefined);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    get jumboFrameCapable(): boolean;
    private _mtu?;
    get mtu(): number | undefined;
    set mtu(value: number | undefined);
    private _name;
    get name(): string;
    set name(value: string);
    private _tags?;
    get tags(): {
        [key: string]: string;
    } | undefined;
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _vlan;
    get vlan(): number;
    set vlan(value: number);
    private _vpnGatewayId?;
    get vpnGatewayId(): string | undefined;
    set vpnGatewayId(value: string | undefined);
    private _timeouts?;
    get timeouts(): DxPrivateVirtualInterfaceTimeouts | undefined;
    set timeouts(value: DxPrivateVirtualInterfaceTimeouts | undefined);
    synthesizeAttributes(): {
        [name: string]: any;
    };
}
