import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface GlacierVaultLockConfig extends TerraformMetaArguments {
    readonly completeLock: boolean;
    readonly ignoreDeletionError?: boolean;
    readonly policy: string;
    readonly vaultName: string;
}
export declare class GlacierVaultLock extends TerraformResource {
    constructor(scope: Construct, id: string, config: GlacierVaultLockConfig);
    private _completeLock;
    get completeLock(): boolean;
    set completeLock(value: boolean);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _ignoreDeletionError?;
    get ignoreDeletionError(): boolean | undefined;
    set ignoreDeletionError(value: boolean | undefined);
    private _policy;
    get policy(): string;
    set policy(value: string);
    private _vaultName;
    get vaultName(): string;
    set vaultName(value: string);
    synthesizeAttributes(): {
        [name: string]: any;
    };
}
