import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface GlobalacceleratorListenerConfig extends TerraformMetaArguments {
    readonly acceleratorArn: string;
    readonly clientAffinity?: string;
    readonly protocol: string;
    /** port_range block */
    readonly portRange: GlobalacceleratorListenerPortRange[];
}
export interface GlobalacceleratorListenerPortRange {
    readonly fromPort?: number;
    readonly toPort?: number;
}
export declare class GlobalacceleratorListener extends TerraformResource {
    constructor(scope: Construct, id: string, config: GlobalacceleratorListenerConfig);
    private _acceleratorArn;
    get acceleratorArn(): string;
    set acceleratorArn(value: string);
    private _clientAffinity?;
    get clientAffinity(): string | undefined;
    set clientAffinity(value: string | undefined);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _protocol;
    get protocol(): string;
    set protocol(value: string);
    private _portRange;
    get portRange(): GlobalacceleratorListenerPortRange[];
    set portRange(value: GlobalacceleratorListenerPortRange[]);
    synthesizeAttributes(): {
        [name: string]: any;
    };
}
