import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface GlueWorkflowConfig extends TerraformMetaArguments {
    readonly defaultRunProperties?: {
        [key: string]: string;
    };
    readonly description?: string;
    readonly name?: string;
}
export declare class GlueWorkflow extends TerraformResource {
    constructor(scope: Construct, id: string, config?: GlueWorkflowConfig);
    private _defaultRunProperties?;
    get defaultRunProperties(): {
        [key: string]: string;
    } | undefined;
    set defaultRunProperties(value: {
        [key: string]: string;
    } | undefined);
    private _description?;
    get description(): string | undefined;
    set description(value: string | undefined);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _name?;
    get name(): string | undefined;
    set name(value: string | undefined);
    synthesizeAttributes(): {
        [name: string]: any;
    };
}
