import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface GuarddutyDetectorConfig extends TerraformMetaArguments {
    readonly enable?: boolean;
    readonly findingPublishingFrequency?: string;
    readonly tags?: {
        [key: string]: string;
    };
}
export declare class GuarddutyDetector extends TerraformResource {
    constructor(scope: Construct, id: string, config?: GuarddutyDetectorConfig);
    get accountId(): string;
    get arn(): string;
    private _enable?;
    get enable(): boolean | undefined;
    set enable(value: boolean | undefined);
    private _findingPublishingFrequency?;
    get findingPublishingFrequency(): string | undefined;
    set findingPublishingFrequency(value: string | undefined);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _tags?;
    get tags(): {
        [key: string]: string;
    } | undefined;
    set tags(value: {
        [key: string]: string;
    } | undefined);
    synthesizeAttributes(): {
        [name: string]: any;
    };
}
