import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface LambdaProvisionedConcurrencyConfigConfig extends TerraformMetaArguments {
    readonly functionName: string;
    readonly provisionedConcurrentExecutions: number;
    readonly qualifier: string;
    /** timeouts block */
    readonly timeouts?: LambdaProvisionedConcurrencyConfigTimeouts;
}
export interface LambdaProvisionedConcurrencyConfigTimeouts {
    readonly create?: string;
    readonly update?: string;
}
export declare class LambdaProvisionedConcurrencyConfig extends TerraformResource {
    constructor(scope: Construct, id: string, config: LambdaProvisionedConcurrencyConfigConfig);
    private _functionName;
    get functionName(): string;
    set functionName(value: string);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _provisionedConcurrentExecutions;
    get provisionedConcurrentExecutions(): number;
    set provisionedConcurrentExecutions(value: number);
    private _qualifier;
    get qualifier(): string;
    set qualifier(value: string);
    private _timeouts?;
    get timeouts(): LambdaProvisionedConcurrencyConfigTimeouts | undefined;
    set timeouts(value: LambdaProvisionedConcurrencyConfigTimeouts | undefined);
    synthesizeAttributes(): {
        [name: string]: any;
    };
}
